UpdateKnowledgeBase
Updates the properties of an existing knowledge base.
Request Syntax
POST /v1/accounts/AwsAccountId/knowledge-bases/KnowledgeBaseId HTTP/1.1
Content-type: application/json
{
"AccessControlConfiguration": {
"isACLEnabled": boolean
},
"Description": "string",
"IsEmailNotificationOptedForIngestionFailures": boolean,
"KnowledgeBaseConfiguration": {
"templateConfiguration": {
"template": JSON value
}
},
"MediaExtractionConfiguration": {
"audioExtractionConfiguration": {
"audioExtractionStatus": "string"
},
"imageExtractionConfiguration": {
"imageExtractionStatus": "string"
},
"videoExtractionConfiguration": {
"videoExtractionStatus": "string",
"videoExtractionType": "string"
}
},
"Name": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- AwsAccountId
-
The ID of the AWS account that contains the knowledge base.
Length Constraints: Fixed length of 12.
Pattern:
[0-9]*Required: Yes
- KnowledgeBaseId
-
The unique identifier for the knowledge base.
Length Constraints: Minimum length of 1. Maximum length of 1024.
Pattern:
[0-9a-zA-Z-_=.+]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- AccessControlConfiguration
-
The access control configuration for the knowledge base. If you don't specify this parameter, the existing setting is retained.
Type: AccessControlConfiguration object
Required: No
- Description
-
A description for the knowledge base. If you don't specify a description, the existing description is retained.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 1000.
Pattern:
\P{C}*Required: No
- IsEmailNotificationOptedForIngestionFailures
-
Specifies whether email notifications are enabled for ingestion failures.
Type: Boolean
Required: No
- KnowledgeBaseConfiguration
-
The configuration settings for a knowledge base.
Type: KnowledgeBaseConfiguration object
Required: No
- MediaExtractionConfiguration
-
The configuration for media extraction from knowledge base documents.
Type: MediaExtractionConfiguration object
Required: No
- Name
-
The name of the knowledge base. If you don't specify a name, the existing name is retained.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
[\p{L}\p{N}][\p{L}\p{N} _\-\.]*Required: No
Response Syntax
HTTP/1.1 Status
Content-type: application/json
{
"KnowledgeBaseArn": "string",
"KnowledgeBaseId": "string",
"RequestId": "string"
}
Response Elements
If the action is successful, the service sends back the following HTTP response.
- Status
-
The HTTP status of the request.
The following data is returned in JSON format by the service.
- KnowledgeBaseArn
-
The Amazon Resource Name (ARN) of the knowledge base.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 1284.
Pattern:
arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023} - KnowledgeBaseId
-
The unique identifier for the knowledge base.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Pattern:
[0-9a-zA-Z-_=.+]+ - RequestId
-
The AWS request ID for this operation.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 401
- ConflictException
-
Updating or deleting a resource can cause an inconsistent state.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 409
- InternalFailureException
-
An internal failure occurred.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 500
- InvalidParameterValueException
-
One or more parameters has a value that isn't valid.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 400
- InvalidRequestException
-
You don't have this feature activated for your account. To fix this issue, contact AWS support.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 400
- LimitExceededException
-
A limit is exceeded.
- RequestId
-
The AWS request ID for this request.
- ResourceType
-
Limit exceeded.
HTTP Status Code: 409
- PreconditionNotMetException
-
One or more preconditions aren't met.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 400
- ResourceNotFoundException
-
One or more resources can't be found.
- RequestId
-
The AWS request ID for this request.
- ResourceType
-
The resource type for this request.
HTTP Status Code: 404
- ThrottlingException
-
Access is throttled.
- RequestId
-
The AWS request ID for this request.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: